function calendrier(mois,an) {

nom_mois = new Array
("Janvier","F&eacute;vrier","Mars","Avril","Mai","Juin","Juillet",
"Ao&ucirc;t","Septembre","Octobre","Novembre","D&eacute;cembre");

jour = new Array ("Lu","Ma","Me","Je","Ve","Sa","Di");

var temps = new Date(an,mois-1,1);
var Start = temps.getDay();
if(Start > 0) Start--;
else Start = 6;
var Stop = 31;
if(mois==4 ||mois==6 || mois==9 || mois==11 ) --Stop;
if(mois==2) {
Stop = Stop - 3;
if(an%4==0) Stop++;
if(an%100==0) Stop--;
if(an%400==0) Stop++;

}


document.write('<table border="3">');
var entete_mois = nom_mois[mois-1] + " " + an;


// inscription entete
document.write("<tr><td>"+entete_mois+"<\/td><\/tr>");

// inscription des jours
document.write("<tr>");
for(var i=0;i<=6;i++){
	document.write("<td>"+jour[i]+"<\/td>");
}
document.write("<\/tr>");
var nombre_jours = 1;
for(var i=0;i<=5;i++) {
	document.write("<tr>");
	for(var j=0;j<=6;j++) {
		if((i==0)&&(j < Start)){
			document.write("<td> <\/td>");
		}
		else {
			if(nombre_jours > Stop){
				document.write("<td> <\/td>");		}
			else {
			      document.write("<td>"+nombre_jours+"<\/td>");
				nombre_jours++;
			}
		}
	}
	document.write("<\/tr>");
}
document.write("<\/table>");
}



function affiche_calendrier(){

var d = new Date();
var dm = d.getMonth() + 1;
var dan = d.getYear();

if(dan < 999) dan+=1900;
document.write("<div id ='calendrier'>");
calendrier(dm,dan);
document.write("<\/div>");
}